> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get retired and inactive accounts of all services in an organization



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/services/unused-resources
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/services/unused-resources:
    get:
      tags:
        - Services
      summary: Get retired and inactive accounts of all services in an organization
      operationId: publicGetUnusedResources
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: sortBy
          required: false
          in: query
          description: Sort results by a specific field.
          schema:
            $ref: '#/components/schemas/GetUnusedResourcesSortBy'
        - name: sortOrder
          required: false
          in: query
          description: Sort results in ascending or descending order. Defaults to `ASC`.
          schema:
            $ref: '#/components/schemas/SortOrder'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetUnusedResourcesResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    GetUnusedResourcesSortBy:
      type: string
      enum:
        - retiredAccounts
        - inactiveAccounts
        - services
    SortOrder:
      type: string
      enum:
        - DESC
        - ASC
    PublicGetUnusedResourcesResponseDto:
      type: object
      properties:
        services:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicUnusedResourceService'
      required:
        - services
    PublicUnusedResourceService:
      type: object
      properties:
        id:
          type: number
          description: Optional field, not present if the service is unsupported
          readOnly: true
          example: 123
        serviceName:
          type: string
          readOnly: true
          example: GitHub
        serviceUniqueName:
          type: string
          readOnly: true
          example: github
        retiredAccounts:
          type: number
          readOnly: true
          example: 123
        inactiveAccounts:
          type: number
          readOnly: true
          example: 321
        isCustomService:
          type: boolean
          readOnly: true
          example: false
        retiredMuteCount:
          type: number
          readOnly: true
          example: 42
        inactiveMuteCount:
          type: number
          readOnly: true
          example: 420
      required:
        - serviceName
        - serviceUniqueName
        - retiredAccounts
        - inactiveAccounts
        - isCustomService
        - retiredMuteCount
        - inactiveMuteCount
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````